Suggest
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/suggestions \
--header 'Content-Type: application/json' \
--data '
{
"itemId": "<string>",
"version": 4503599627370495,
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"draftRevision": 4503599627370495,
"dismissedFields": [
"<string>"
],
"guidance": [
{
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"dismissedGuidance": []
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/suggestions"
payload = {
"itemId": "<string>",
"version": 4503599627370495,
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"draftRevision": 4503599627370495,
"dismissedFields": ["<string>"],
"guidance": [
{
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"dismissedGuidance": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
itemId: '<string>',
version: 4503599627370495,
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
columnsAttributes: {},
clientTurnId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
draftRevision: 4503599627370495,
dismissedFields: ['<string>'],
guidance: [{text: '<string>', assigneeRoleGroupIds: []}],
dismissedGuidance: []
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "completed",
"draftRevision": 123,
"runIds": [
"<string>"
],
"errorCode": "<string>",
"chargedCredits": "<string>",
"identity": {
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"evidence": "<string>"
},
"fields": [
{
"value": "<string>",
"slug": "<string>",
"confidence": 123,
"evidence": "<string>"
}
],
"guidance": [
{
"kind": "instruction",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
]
}
],
"guidanceRevision": 123
}Item Magic Fill
Suggest
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-drafts
/
suggestions
Suggest
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Pattern:
^[1-9]\d*$Required range:
0 < x <= 9007199254740991Maximum string length:
200Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 <= x <= 9007199254740991Available options:
en, de, es, fr, ja, zh Maximum array length:
100Maximum string length:
200Maximum array length:
40Show child attributes
Show child attributes
Maximum array length:
2Available options:
instruction, requirement Response
201 - application/json
Available options:
completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I